"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceRepository = void 0;
const model_1 = require("../model");
const service_common_1 = require("@crosslab/service-common");
const dataSource_1 = require("../dataSource");
class DeviceRepository extends service_common_1.AbstractRepository {
    constructor() {
        super('Device');
        this.dependencies = {};
    }
    dependenciesMet() {
        if (!this.dependencies.instance)
            return false;
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(model_1.DeviceModel);
    }
    async write(model, data) {
        if (data.device)
            model.url = data.device;
        if (data.role)
            model.role = data.role;
    }
    async format(model) {
        return {
            device: model.url,
            role: model.role,
        };
    }
    async remove(model) {
        if (model.instance)
            await dataSource_1.AppDataSource.transaction(async (repositories) => {
                const instance = model.instance;
                delete model.instance;
                await repositories.device.remove(model);
                if (instance)
                    await repositories.instance.remove(instance);
            });
        else
            await super.remove(model);
    }
}
exports.DeviceRepository = DeviceRepository;
//# sourceMappingURL=device.js.map