"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstanceRepository = void 0;
const service_common_1 = require("@crosslab/service-common");
const model_1 = require("../model");
class InstanceRepository extends service_common_1.AbstractRepository {
    constructor() {
        super('Instance');
        this.dependencies = {};
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(model_1.InstanceModel);
    }
    async write(model, data) {
        if (data.token)
            model.token = data.token;
        if (data.url)
            model.url = data.url;
    }
    async format(model) {
        return {
            url: model.url,
            token: model.token,
        };
    }
}
exports.InstanceRepository = InstanceRepository;
//# sourceMappingURL=instance.js.map