"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParticipantRepository = void 0;
const model_1 = require("../model");
const service_common_1 = require("@crosslab/service-common");
class ParticipantRepository extends service_common_1.AbstractRepository {
    constructor() {
        super('Participant');
        this.dependencies = {};
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(model_1.ParticipantModel);
    }
    async write(model, data) {
        if (data.role)
            model.role = data.role;
        if (data.serviceId)
            model.serviceId = data.serviceId;
        if (data.config)
            model.config = data.config;
    }
    async format(model) {
        return {
            role: model.role,
            serviceId: model.serviceId,
            config: model.config,
        };
    }
}
exports.ParticipantRepository = ParticipantRepository;
//# sourceMappingURL=participant.js.map