"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleRepository = void 0;
const model_1 = require("../model");
const service_common_1 = require("@crosslab/service-common");
class RoleRepository extends service_common_1.AbstractRepository {
    constructor() {
        super('Role');
        this.dependencies = {};
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(model_1.RoleModel);
    }
    async write(model, data) {
        if (data.name)
            model.name = data.name;
        if (data.description)
            model.description = data.description;
    }
    async format(model) {
        return {
            name: model.name,
            description: model.description ?? undefined,
        };
    }
}
exports.RoleRepository = RoleRepository;
//# sourceMappingURL=role.js.map