"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bookExperiment = void 0;
const dataSource_1 = require("../../database/dataSource");
// import { apiClient } from '../api'
const url_1 = require("../url");
const service_common_1 = require("@crosslab/service-common");
const service_common_2 = require("@crosslab/service-common");
/**
 * This function attempts to book an experiment.
 * @param experimentModel The experiment to be booked.
 */
async function bookExperiment(experimentModel) {
    const experimentUrl = (0, url_1.experimentUrlFromId)(experimentModel.uuid);
    service_common_2.logger.log('info', 'Attempting to book experiment', { data: { experimentUrl } });
    if (!experimentModel.devices || experimentModel.devices.length === 0)
        throw new service_common_1.MissingPropertyError(`Experiment ${experimentUrl} has no devices`);
    // const currentTime = new Date()
    // const startTime = new Date(experimentModel.bookingStart ?? currentTime)
    // const endTime = new Date(
    //     experimentModel.bookingEnd ?? startTime.getTime() + 60 * 60 * 1000
    // )
    // // TODO: error handling
    // const { BookingID } = await apiClient.bookExperiment({
    //     Experiment: {
    //         Devices: experimentModel.devices.map((device) => {
    //             return { ID: device.url }
    //         }),
    //     },
    //     Time: {
    //         Start: startTime.toISOString(),
    //         End: endTime.toISOString(),
    //     },
    //     Type: 'normal',
    // })
    // experimentModel.bookingStart = startTime.toISOString()
    // experimentModel.bookingEnd = endTime.toISOString()
    // experimentModel.bookingID = BookingID
    experimentModel.status = 'booked';
    await dataSource_1.repositories.experiment.save(experimentModel);
    service_common_2.logger.log('info', 'Successfully booked experiment', { data: { experimentUrl } });
}
exports.bookExperiment = bookExperiment;
//# sourceMappingURL=book.js.map