"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleDeviceChangedEventCallback = void 0;
const service_common_1 = require("@crosslab/service-common");
const _1 = require(".");
/**
 * This function handles an incoming "device-changed" event callback.
 * @param callback The incoming "device-changed" callback to be handled.
 * @returns The status code for the response to the incoming callback.
 */
async function handleDeviceChangedEventCallback(callback) {
    service_common_1.logger.log('info', 'Device changed!', { meta: { deviceUrl: callback.device.url } });
    _1.callbackEventEmitter.emit('device-changed', callback.device);
    return 200;
}
exports.handleDeviceChangedEventCallback = handleDeviceChangedEventCallback;
//# sourceMappingURL=deviceChanged.js.map