"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlePeerconnectionClosedEventCallback = void 0;
const callbacks_1 = require("../../callbacks");
/**
 * This function handles an incoming "peerconnection-closed" event callback.
 * @param callback The incoming "peerconnection-closed" callback to be handled.
 * @returns The status code for the response to the incoming callback.
 */
function handlePeerconnectionClosedEventCallback(callback) {
    if (!callbacks_1.peerconnectionClosedCallbacks.includes(callback.peerconnection.url)) {
        return 410;
    }
    // TODO: add peerconnection closed handling
    return 200;
}
exports.handlePeerconnectionClosedEventCallback = handlePeerconnectionClosedEventCallback;
//# sourceMappingURL=peerconnectionClosed.js.map