"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExperimentsByExperimentId = void 0;
const dataSource_1 = require("../../../database/dataSource");
const service_common_1 = require("@crosslab/service-common");
/**
 * This function implements the functionality for handling GET requests on
 * /experiments/{experiment_id} endpoint.
 * @param parameters The parameters of the request.
 * @param _user The user submitting the request.
 */
const getExperimentsByExperimentId = async (parameters, _user) => {
    service_common_1.logger.log('info', `Handling GET request on endpoint /experiments/${parameters.experiment_id}`);
    const experimentModel = await dataSource_1.repositories.experiment.findOneOrFail({
        where: { uuid: parameters.experiment_id },
    });
    service_common_1.logger.log('info', `Successfully handled GET request on endpoint /experiments/${parameters.experiment_id}`);
    return {
        status: 200,
        body: await dataSource_1.repositories.experiment.format(experimentModel),
    };
};
exports.getExperimentsByExperimentId = getExperimentsByExperimentId;
//# sourceMappingURL=get.js.map