"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExperiments = void 0;
const dataSource_1 = require("../../database/dataSource");
const service_common_1 = require("@crosslab/service-common");
/**
 * This function implements the functionality for handling GET requests on
 * /experiments endpoint.
 * @param _user The user submitting the request.
 */
const getExperiments = async (_user) => {
    service_common_1.logger.log('info', 'Handling GET request on endpoint /experiments');
    const experimentModels = await dataSource_1.repositories.experiment.find();
    service_common_1.logger.log('info', 'Successfully handled GET request on endpoint /experiments');
    return {
        status: 200,
        body: await Promise.all(experimentModels.map((experimentModel) => dataSource_1.repositories.experiment.formatOverview(experimentModel))),
    };
};
exports.getExperiments = getExperiments;
//# sourceMappingURL=get.js.map